Error when launch WebAdmin

Use this forum if you have installed hMailServer and want to ask a question related to a production release of hMailServer. Before posting, please read the troubleshooting guide. A large part of all reported issues are already described in detail here.
Post Reply
Fasan
New user
New user
Posts: 8
Joined: 2015-06-30 18:36
Location: Plauen, Germany

Error when launch WebAdmin

Post by Fasan » 2020-05-26 19:27

I downloadet 5.6.7-B2425.16.7z and updated HMS. HMS works fine, but when I launched WebAdmin the browser give the follow error:
The hMailServer version does not match the WebAdmin version.
hMailServer version: 5.6.7-B2425.16
WebAdmin version: 5.6.7-B2425
Please make sure you are using the PHPWebAdmin version which came with your hMailServer installation.
5.6.7-B2425.16.7z contain only 5 files but no WebAdmin. Is there a update for WebAdmin to B2425.16 or what can I do?

User avatar
RvdH
Senior user
Senior user
Posts: 1113
Joined: 2008-06-27 14:42
Location: Netherlands

Re: Error when launch WebAdmin

Post by RvdH » 2020-05-26 19:41

PHPWebAdmin\include_versioncheck.php

Code: Select all

<?php
define('REQUIRED_VERSION', '5.6.7-B2425');
?>
change to

Code: Select all

<?php
define('REQUIRED_VERSION', '5.6.7-B2425.16');
?>
CIDR to RegEx: d-fault.nl/CIDRtoRegEx
DNS Lookup: d-fault.nl/DNSTools
DNSBL Lookup: d-fault.nl/DNSBLLookup
GEOIP Lookup: d-fault.nl/GeoipLookup

Fasan
New user
New user
Posts: 8
Joined: 2015-06-30 18:36
Location: Plauen, Germany

Re: Error when launch WebAdmin

Post by Fasan » 2020-05-28 11:18

It works, thank you very much! :D

Post Reply